Soporte » Instalación – Actualizaciones » Error al actualizar desde 5.7.2 a 5.8

  • lidiaalvarado

    (@lidiaalvarado)


    He intentado actualizar la versión de mi wordpress desde 5.7.2 a 5.8. Lo he intentando manualmente porque la actualización automática ha dado error, pero al hacerlo no me lo permite y me sale este mensaje: ¿Qué puedo hacer? Muchas gracias

    Descargando la actualización desde https://downloads.wordpress.org/release/es_ES/wordpress-5.8.zip…
    
    No se ha podido verificar la identidad de wordpress-5.8.zip porque no se ha encontrado ninguna firma.
    
    Descomprimiendo la actualización…
    
    Warning: copy(/homepages/20/d701554497/htdocs/Cursos/wp-admin/includes/update-core.php): failed to open stream: Permission denied in /homepages/20/d701554497/htdocs/Cursos/wp-admin/includes/class-wp-filesystem-direct.php on line 309
    No ha sido posible instalar la actualización debido a que no se han podido copiar algunos archivos. Normalmente esto es debido a permisos de archivo inconsistentes.: wp-admin/includes/update-core.php
    
    Instalación fallida.
Viendo 5 respuestas - de la 1 a la 5 (de un total de 5)
  • Moderador almendron

    (@almendron)

    ¿Qué entiendes por actualizar manualmente? Lo pregunto porque ese mensaje no aparece cuando haces una actualización manual.

    Iniciador del debate lidiaalvarado

    (@lidiaalvarado)

    Me refiero a que me sale un mensaje que dice que la actualización automática no se ha podido realizar y al darle yo al botón actualizar tampoco me deja hacerlo (a esto me refiero cuando digo manualmente) y me sale el siguiente mensaje:

    Descargando la actualización desde https://downloads.wordpress.org/release/es_ES/wordpress-5.8.zip…
    
    No se ha podido verificar la identidad de wordpress-5.8.zip porque no se ha encontrado ninguna firma.
    
    Descomprimiendo la actualización…
    
    Warning: copy(/homepages/20/d701554497/htdocs/Cursos/wp-admin/includes/update-core.php): failed to open stream: Permission denied in /homepages/20/d701554497/htdocs/Cursos/wp-admin/includes/class-wp-filesystem-direct.php on line 309
    No ha sido posible instalar la actualización debido a que no se han podido copiar algunos archivos. Normalmente esto es debido a permisos de archivo inconsistentes.: wp-admin/includes/update-core.php
    
    Instalación fallida.
    Moderador almendron

    (@almendron)

    Lo primero de todo es comprobar los permisos de los archivos: 755 para las carpetas y 644 para los archivos.

    Después, prueba a realizar una actualización manual:

    https://codex.wordpress.org/es:Actualizar_WordPress#Remplazamiento_manual

    Iniciador del debate lidiaalvarado

    (@lidiaalvarado)

    Muchas gracias. La verdad que estoy un poco perdida con esto, ¿Cómo compruebo los permisos de los archivos?

    Moderador almendron

    (@almendron)

    Los clientes de FTP como por ejemplo Filezilla tiene una opción para comprobarlo: https://filezilla-project.org/

    De todas formas, antes de instalar dicho cliente en tu ordenador, habla con el soporte del hosting porque tal vez desde su panel se pueda hacer.

Viendo 5 respuestas - de la 1 a la 5 (de un total de 5)
  • Debes estar registrado para responder a este debate.